Opened 5 years ago

Closed 3 years ago

Last modified 3 years ago

#1613 closed Task (fixed)

dev NOC-3 --- Non-linear free surface as default

Reported by: gm Owned by: nemo
Priority: normal Milestone: 2015 simplification
Component: OCE Version: trunk
Severity: Keywords: VVL
Cc: Review:
MP ready?:
Progress:

Description

Development branch related to NOC-3 system simplification actions of 2015 work plan : set the non-linear free surface (i.e. key_vvl) by default.

Main changes:

  • suppression of domzgr_substitute.h90 : before, now and after e3 scale factors are systematically defined. All fse3… desappear from all NEMO modules.
  • key_vvl is removed. A namelist logical (ln_linssh) is used.
  • linear free surface (constant volume) case : e3 before, now and after are set equal one for all, and we use exactly the same calculation as in non-linear case (except that update of e3 at each time-step is by-passed)
  • time stepping on tracers is performed systematically on thickness-weighted tracers (or possibly on volume-weighted tracers). 

Starting from trunk (revision: 5836) after the merge with dev_r5721_CNRS9_NOC3_LDF

———

associated branch: dev_r5836_NOC3_vvl_by_default

associated wiki page ​5836_NOC3_vvl_by_default

Commit History (11)

ChangesetAuthorTimeChangeLog
6055gm2015-12-15T17:19:09+01:00

#1613: vvl by default : update DOC on TRA advection + change in namelist comment

6040gm2015-12-14T09:23:38+01:00

#1613: vvl by default : start to update the DOC for change in vvl, LDF and solvers

6004gm2015-12-04T17:05:58+01:00

#1613: vvl by default, step III: Merge with the trunk (free surface simplification) (see wiki)

5883gm2015-11-13T08:01:08+01:00

#1613: vvl by default: TRA/TRC remove optimization associated with linear free surface

5866gm2015-11-06T11:42:35+01:00

#1613: vvl by default: add ln_linssh and remove key_vvl

5864gm2015-11-05T17:38:47+01:00

#1613: vvl by default: use r1_e1 instead of 1 / e1 in dynhpg.F90

5863gm2015-11-05T16:18:17+01:00

#1613: vvl by default: non-vvl OK thanks to error correction in mask in domain.F90

5862gm2015-11-05T15:03:28+01:00

#1613: vvl by default: non-vvl: initialize _b,n,a scale factors with _0 arrays

5858gm2015-11-03T13:32:18+01:00

#1613: vvl by default: small bug correction

5845gm2015-10-31T08:40:45+01:00

#1613: vvl by default: suppression of domzgr_substitute.h90

5839gm2015-10-27T07:10:07+01:00

#1613 Create a specific branch for NOC-3 simplification: vvl by default

Change History (3)

comment:1 Changed 4 years ago by nicolasmartin

  • Keywords VVL added; simplification key_vvl removed

comment:2 Changed 3 years ago by gm

  • Resolution set to fixed
  • Status changed from new to closed

comment:3 Changed 3 years ago by nemo

  • Type changed from Development to Task

Remove 'Development' type

Note: See TracTickets for help on using tickets.